
/*
/* Trust Design LLC : SECS/HSMS Communication library
/*
/* (c) Copyright Trust Design LLC.  2010-2012.  All rights reserved.
/*
/**/

#pragma once

// CEditList

class CEditList : public CEdit
{
	DECLARE_DYNAMIC(CEditList)

public:
			CEditList();
	virtual ~CEditList();

	void	Init(int max, int del);
	void	AddString(char *str);

protected:
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	DECLARE_MESSAGE_MAP()

private:
	int		GetLineNum(char *str);

	UINT	m_uiVCode;		// 縦スクロールの状態
	UINT	m_uiHCode;		// 横スクロールの状態
	int		m_iNowLines;	// 現在の表示行数
	int		m_iMaxLines;	// 最大表示行数
	int		m_iDelLines;	// 最大表示行数を超えた場合に１度に削除する行数
};
